Bug 210529 - USESify php.mk
Summary: USESify php.mk
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Port Management Team
URL: https://reviews.freebsd.org/D6936
Keywords:
Depends on:
Blocks:
 
Reported: 2016-06-24 13:34 UTC by Mathieu Arnold
Modified: 2016-06-28 14:12 UTC (History)
1 user (show)

See Also:
mat: exp-run?


Attachments
patch (121.32 KB, patch)
2016-06-24 13:34 UTC, Mathieu Arnold
no flags Details | Diff
patch-v2 (121.25 KB, patch)
2016-06-27 16:41 UTC, Mathieu Arnold
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mathieu Arnold freebsd_committer 2016-06-24 13:34:47 UTC
Created attachment 171753 [details]
patch
Comment 1 Antoine Brodin freebsd_committer 2016-06-27 16:00:38 UTC
Exp-run started at http://package18.nyi.freebsd.org/build.html?mastername=103i386-default-PR210529&build=2016-06-27_15h29m52s , this doesn't look good.
Comment 2 Mathieu Arnold freebsd_committer 2016-06-27 16:06:54 UTC
Well, It means I'll have things to fix :-)
Comment 3 Mathieu Arnold freebsd_committer 2016-06-27 16:41:40 UTC
Created attachment 171877 [details]
patch-v2

Fix the stupid make(1) code.  I could have sworn I had a working version before.
Comment 4 commit-hook freebsd_committer 2016-06-28 13:57:52 UTC
A commit references this bug:

Author: mat
Date: Tue Jun 28 13:57:39 UTC 2016
New revision: 417717
URL: https://svnweb.freebsd.org/changeset/ports/417717

Log:
  USEify USES=php.

  The following variables have been folded into arguments:

  - USE_PHPIZE -> USES=php:phpize
  - USE_PHPEXT -> USES=php:ext
  - USE_ZENDEXT -> USES=php:zend
  - USE_PHP_BUILD -> USES=php:build
  - WANT_PHP_CLI -> USES=php:cli
  - WANT_PHP_CGI -> USES=php:cgi
  - WANT_PHP_MOD -> USES=php:mod
  - WANT_PHP_WEB -> USES=php:web
  - WANT_PHP_EMB -> USES=php:embed

  PR:		210529
  Submitted by:	mat
  Exp-run by:	antoine
  Sponsored by:	Absolight
  Differential Revision:	https://reviews.freebsd.org/D6936

Changes:
  head/CHANGES
  head/Mk/Uses/php.mk
  head/Mk/bsd.sanity.mk
  head/dns/pear-Net_DNS/Makefile
  head/mail/squirrelmail/Makefile
  head/net/self-service-password/Makefile
  head/security/cryptstring/Makefile
  head/security/pear-Crypt_CHAP/Makefile
  head/security/pear-File_SMBPasswd/Makefile
  head/security/pear-Horde_Crypt_Blowfish/Makefile
  head/sysutils/gosa/Makefile
  head/www/thundercache/Makefile
  head/www/thundersnarf/Makefile
Comment 5 commit-hook freebsd_committer 2016-06-28 13:57:54 UTC
A commit references this bug:

Author: mat
Date: Tue Jun 28 13:57:43 UTC 2016
New revision: 417718
URL: https://svnweb.freebsd.org/changeset/ports/417718

Log:
  Add support for USE_PHP=ext:build to add a build dependency on the extension.

  PR:		210529
  Submitted by:	mat
  Exp-run by:	antoine
  Sponsored by:	Absolight
  Differential Revision:	https://reviews.freebsd.org/D6936

Changes:
  head/Mk/Uses/php.mk
Comment 6 commit-hook freebsd_committer 2016-06-28 14:01:56 UTC
A commit references this bug:

Author: mat
Date: Tue Jun 28 14:00:53 UTC 2016
New revision: 417719
URL: https://svnweb.freebsd.org/changeset/ports/417719

Log:
  Convert USE_PHP*=yes into USES=php*

  PR:		210529
  Submitted by:	mat
  Exp-run by:	antoine
  Sponsored by:	Absolight
  Differential Revision:	https://reviews.freebsd.org/D6936

Changes:
  head/archivers/pecl-lzf/Makefile
  head/archivers/pecl-phk/Makefile
  head/archivers/pecl-rar/Makefile
  head/archivers/php-horde_lz4/Makefile
  head/archivers/php5-snappy/Makefile
  head/benchmarks/phoronix-test-suite/Makefile
  head/chinese/php-cconv/Makefile
  head/converters/pecl-fribidi/Makefile
  head/converters/pecl-igbinary/Makefile
  head/converters/php5-bsdconv/Makefile
  head/databases/pecl-chdb/Makefile
  head/databases/pecl-dbase/Makefile
  head/databases/pecl-drizzle/Makefile
  head/databases/pecl-leveldb/Makefile
  head/databases/pecl-mdbtools/Makefile
  head/databases/pecl-memcache/Makefile
  head/databases/pecl-memcached/Makefile
  head/databases/pecl-mongo/Makefile
  head/databases/pecl-mongodb/Makefile
  head/databases/pecl-mysqlnd_ms/Makefile
  head/databases/pecl-mysqlnd_qc/Makefile
  head/databases/pecl-pdo_user/Makefile
  head/databases/pecl-rrd/Makefile
  head/databases/pecl-tokyo_tyrant/Makefile
  head/databases/php-adodb-ext/Makefile
  head/databases/php-mdcached/Makefile
  head/databases/php5-pdo_cassandra/Makefile
  head/databases/php5-tarantool/Makefile
  head/databases/php55-redis/Makefile
  head/databases/php56-redis/Makefile
  head/databases/php70-redis/Makefile
  head/databases/vfront/Makefile
  head/databases/xapian-bindings/Makefile
  head/devel/ioncube/Makefile
  head/devel/pear/Makefile
  head/devel/pear-Horde_Nls/Makefile
  head/devel/pear-VersionControl_SVN/Makefile
  head/devel/pecl-APCu/Makefile
  head/devel/pecl-automap/Makefile
  head/devel/pecl-bbcode/Makefile
  head/devel/pecl-bcompiler/Makefile
  head/devel/pecl-dio/Makefile
  head/devel/pecl-eio/Makefile
  head/devel/pecl-ev/Makefile
  head/devel/pecl-event/Makefile
  head/devel/pecl-expect/Makefile
  head/devel/pecl-gearman/Makefile
  head/devel/pecl-hidef/Makefile
  head/devel/pecl-hrtime/Makefile
  head/devel/pecl-htscanner/Makefile
  head/devel/pecl-inotify/Makefile
  head/devel/pecl-intl/Makefile
  head/devel/pecl-jsmin/Makefile
  head/devel/pecl-json_post/Makefile
  head/devel/pecl-jsonc/Makefile
  head/devel/pecl-jsond/Makefile
  head/devel/pecl-jsonnet/Makefile
  head/devel/pecl-judy/Makefile
  head/devel/pecl-libevent/Makefile
  head/devel/pecl-mcve/Makefile
  head/devel/pecl-memoize/Makefile
  head/devel/pecl-msgpack/Makefile
  head/devel/pecl-ncurses/Makefile
  head/devel/pecl-newt/Makefile
  head/devel/pecl-operator/Makefile
  head/devel/pecl-params/Makefile
  head/devel/pecl-parsekit/Makefile
  head/devel/pecl-propro/Makefile
  head/devel/pecl-propro2/Makefile
  head/devel/pecl-pthreads/Makefile
  head/devel/pecl-qb/Makefile
  head/devel/pecl-raphf/Makefile
  head/devel/pecl-raphf2/Makefile
  head/devel/pecl-runkit/Makefile
  head/devel/pecl-scream/Makefile
  head/devel/pecl-shape/Makefile
  head/devel/pecl-spl_types/Makefile
  head/devel/pecl-spread/Makefile
  head/devel/pecl-statgrab/Makefile
  head/devel/pecl-strict/Makefile
  head/devel/pecl-svn/Makefile
  head/devel/pecl-swoole/Makefile
  head/devel/pecl-sync/Makefile
  head/devel/pecl-test_helpers/Makefile
  head/devel/pecl-trace/Makefile
  head/devel/pecl-uopz/Makefile
  head/devel/pecl-uploadprogress/Makefile
  head/devel/pecl-uri_template/Makefile
  head/devel/pecl-uuid/Makefile
  head/devel/pecl-vld/Makefile
  head/devel/pecl-weakref/Makefile
  head/devel/pecl-xhprof/Makefile
  head/devel/pecl-yac/Makefile
  head/devel/pecl-zookeeper/Makefile
  head/devel/php-jq/Makefile
  head/devel/php-maxminddb/Makefile
  head/devel/php-memoize/Makefile
  head/devel/php-scalar_objects/Makefile
  head/devel/php-uprofiler/Makefile
  head/devel/php-xdebug/Makefile
  head/devel/php5-blitz/Makefile
  head/devel/php5-blitz-devel/Makefile
  head/devel/php5-dav/Makefile
  head/devel/php5-geshi/Makefile
  head/devel/php5-ice/Makefile
  head/devel/php5-msgpack/Makefile
  head/devel/php5-pinba/Makefile
  head/devel/php5-thrift/Makefile
  head/finance/myphpmoney/Makefile
  head/finance/php-tclink/Makefile
  head/graphics/geos/Makefile
  head/graphics/graphviz/Makefile
  head/graphics/pear-Image_Graph/Makefile
  head/graphics/pecl-gmagick/Makefile
  head/graphics/pecl-imagick/Makefile
  head/graphics/pecl-imlib2/Makefile
  head/graphics/pecl-qrencode/Makefile
  head/graphics/php-facedetect/Makefile
  head/graphics/php-gdal/Makefile
  head/graphics/php-libpuzzle/Makefile
  head/graphics/php-magickwand/Makefile
  head/graphics/php5-ffmpeg/Makefile
  head/graphics/phplot/Makefile
  head/japanese/guesswork-classic/Makefile
  head/japanese/php5-mecab/Makefile
  head/lang/pecl-perl/Makefile
  head/lang/php55/Makefile
  head/lang/php55/Makefile.ext
  head/lang/php55-extensions/Makefile
  head/lang/php56/Makefile
  head/lang/php56/Makefile.ext
  head/lang/php56-extensions/Makefile
  head/lang/php70/Makefile
  head/lang/php70/Makefile.ext
  head/lang/php70-extensions/Makefile
  head/lang/php_doc/Makefile
  head/mail/mlmmj/Makefile
  head/mail/pecl-esmtp/Makefile
  head/mail/pecl-mailparse/Makefile
  head/mail/pecl-pop3/Makefile
  head/mail/phpmailer/Makefile
  head/math/pecl-big_int/Makefile
  head/math/pecl-bitset/Makefile
  head/math/pecl-bitset2/Makefile
  head/math/pecl-stats/Makefile
  head/math/pecl-trader/Makefile
  head/math/rkward-kde4/Makefile
  head/misc/achievo/Makefile
  head/misc/pecl-timezonedb/Makefile
  head/multimedia/php-pHash/Makefile
  head/net/pear-Net_DNSBL/Makefile
  head/net/pecl-amqp/Makefile
  head/net/pecl-apn/Makefile
  head/net/pecl-cvsclient/Makefile
  head/net/pecl-geoip/Makefile
  head/net/pecl-gupnp/Makefile
  head/net/pecl-ip2location/Makefile
  head/net/pecl-mosquitto/Makefile
  head/net/pecl-oauth/Makefile
  head/net/pecl-radius/Makefile
  head/net/pecl-smbclient/Makefile
  head/net/pecl-yaz/Makefile
  head/net/pecl-yp/Makefile
  head/net/pecl-zmq/Makefile
  head/net/scr_ipfm/Makefile
  head/net-im/pecl-stomp/Makefile
  head/net-mgmt/icingaweb2/Makefile
  head/net-mgmt/nagios/Makefile
  head/net-mgmt/percona-monitoring-plugins/Makefile
  head/print/pecl-haru/Makefile
  head/print/pecl-pdflib/Makefile
  head/print/pecl-ps/Makefile
  head/security/lasso/Makefile
  head/security/pear-Text_Password/Makefile
  head/security/pecl-crack/Makefile
  head/security/pecl-crypto/Makefile
  head/security/pecl-gnupg/Makefile
  head/security/pecl-pam/Makefile
  head/security/pecl-scrypt/Makefile
  head/security/pecl-ssh2/Makefile
  head/security/pecl-tcpwrap/Makefile
  head/security/php-suhosin/Makefile
  head/security/snortreport/Makefile
  head/sysutils/pear-File_Gettext/Makefile
  head/sysutils/pear-Log/Makefile
  head/sysutils/pear-Translation2/Makefile
  head/sysutils/pecl-mogilefs/Makefile
  head/sysutils/pecl-proctitle/Makefile
  head/textproc/libmrss-php/Makefile
  head/textproc/mysqlviz/Makefile
  head/textproc/pecl-cld/Makefile
  head/textproc/pecl-ctemplate/Makefile
  head/textproc/pecl-doublemetaphone/Makefile
  head/textproc/pecl-enchant/Makefile
  head/textproc/pecl-html_parse/Makefile
  head/textproc/pecl-stem/Makefile
  head/textproc/pecl-syck/Makefile
  head/textproc/pecl-wbxml/Makefile
  head/textproc/pecl-xdiff/Makefile
  head/textproc/pecl-xslcache/Makefile
  head/textproc/pecl-yaml/Makefile
  head/textproc/php-mecab/Makefile
  head/textproc/redland-bindings/Makefile
  head/textproc/zorba/Makefile
  head/www/ach/Makefile
  head/www/caldavzap/Makefile
  head/www/crp/Makefile
  head/www/dddbl/Makefile
  head/www/encode-explorer/Makefile
  head/www/flat-frog/Makefile
  head/www/fluxbb/Makefile
  head/www/geeklog/Makefile
  head/www/iwebcal/Makefile
  head/www/mod_myvhost/Makefile
  head/www/mod_vhs/Makefile
  head/www/pecl-APC/Makefile
  head/www/pecl-amfext/Makefile
  head/www/pecl-http/Makefile
  head/www/pecl-http1/Makefile
  head/www/pecl-http2/Makefile
  head/www/pecl-solr/Makefile
  head/www/pecl-sphinx/Makefile
  head/www/pecl-swish/Makefile
  head/www/pecl-twig/Makefile
  head/www/pecl-varnish/Makefile
  head/www/pecl-yaf/Makefile
  head/www/pecl-yar/Makefile
  head/www/phalcon/Makefile
  head/www/php-screw/Makefile
  head/www/php-templates/Makefile
  head/www/php55-opcache/Makefile
  head/www/php56-opcache/Makefile
  head/www/php70-opcache/Makefile
  head/www/phpbb3/Makefile
  head/www/phpgroupware/Makefile
  head/www/phpmustache/Makefile
  head/www/phpwebapp/Makefile
  head/www/pnews/Makefile
  head/www/pserv/Makefile
  head/www/punbb/Makefile
  head/www/skytemplate/Makefile
  head/www/suphp/Makefile
  head/www/template_/Makefile
  head/www/webgrind/Makefile
  head/www/xcache/Makefile
  head/www/zen-cart/Makefile